<?php

namespace InternetGalerie\Igshop2\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;
/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2015
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
/**
 * DeliveryPeriod
 */
class DeliveryPeriod extends AbstractEntity
{
    /**
     * onStock
     *
     * @var boolean
     */
    protected $onStock = false;

    /**
     * title
     *
     * @var string
     */
    protected $title = '';

    /**
     * priority
     *
     * @var int
     */
    protected $priority = 0;

    /**
     * Returns the title
     *
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Sets the title
     *
     * @param string $title
     */
    public function setTitle($title): void
    {
        $this->title = $title;
    }

    /**
     * Returns the priority
     *
     * @return int
     */
    public function getPriority()
    {
        return $this->priority;
    }

    /**
     * Sets the priority
     *
     * @param int $priority
     */
    public function setPriority($priority): void
    {
        $this->priority = $priority;
    }
    
    /**
     * Returns the onStock
     *
     * @return boolean
     */
    public function getOnStock()
    {
        return $this->onStock;
    }

    /**
     * Sets the onStock
     *
     * @param boolean $onStock
     */
    public function setOnStock($onStock): void
    {
        $this->onStock = $onStock;
    }
}
